<?php
include('../common/parseargs.php');


include('../common/basicargcheck.php');

$USAGE=" --diskSafeID=<diskSafeID> --includeMerged=<includeMerged> ";

if ($argc < 2) {
        usage($argv[0],$USAGE);
        exit(1);
}

$DISKSAFEID=$args_array['diskSafeID'];
$INCLUDEMERGED=$args_array['includeMerged'];

if (strlen($DISKSAFEID) < 1) {
        echo "ERROR: --diskSafeID=<diskSafeID> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

if (strlen($INCLUDEMERGED) < 1) {
        echo "ERROR: --includeMerged=<includeMerged> must be defined\n";
        usage($argv[0],$USAGE);
        exit(1);
}

class DiskSafe
{
	public $id;
}

$diskSafeObj = new DiskSafe();
$diskSafeObj->id=$DISKSAFEID;

try{
	$client = new soapclient("https://$HOST:$PORT/RecoveryPoints?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1
		 )
	);

	$response = $client->getRecoveryPoints(array('diskSafe'=>$diskSafeObj, 'includeMerged'=>$INCLUDEMERGED)) ;
	var_dump($response);

	echo "Successfully executed getRecoveryPoints\n";

	exit(0);

} 
catch (SoapFault $exception)
{
	echo $exception;
	exit(1);
}


?> 
